Subject: RE: bug#63228: 13.2.0; TeX-auto-generate-global TeX-auto-parse-region: Wrong type argument: stringp, nil

From: "Sebastian Drude" <[email-masked]>
Date: Tue, 2 May 2023 09:47:55 -0300

Dear Arash,

Thanks for answering so quickly.
My answers/comments are below, marked with "SD>" (for some reason, my mail program did not quote your answer correctly).

Best wishes,
Sebastian
-- 
Museu P.E. Goeldi, CCH, Linguistica  ▪  Av. Perimetral, 1901
Terra Firme, CEP: 66077-530  ▪  Belém do Pará – PA  ▪  Brazil
[email-masked]  ▪  +55 (91) 3217 6024  ▪  +55 (91) 983733319

-----Original Message-----
From: Arash Esbati <[email-masked]> 
Sent: Tuesday, May 2, 2023 8:22 AM
To: Sebastian Drude <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#63228: 13.2.0; TeX-auto-generate-global TeX-auto-parse-region: Wrong type argument: stringp, nil

Sebastian Drude <mailto:[email-masked]> writes:

> I am coming back to AUCTeX after many years, now on a Linux-MINT 
> system (Debian-based).

Welcome back.

> I understand that, in order to be able to get command-expansion etc. 
> for all (La)TeX packages, I need to run the command 
> "TeX-auto-generate-global" once.

May I ask which package you want to use where AUCTeX support for completion is missing?  I'm asking because TeX-auto-generate\(-global\)? can produce completion files which are not really accurate.  So if you want to use a specific package where the AUCTeX style package.el is missing, it's better to write it yourself or ask here for help.

SD> I am using the Language Science Press (for xetex) langscibook class, and when starting, I could not complement on commands defined in that class and other packages loaded in a local file \input{localpackages.tex}.  I had to update langscibook, and after that I thought I should create the AUCTeX style files for my packages, which is when I started to try to invoke TeX-auto-generate-global.

SD> So you tell me that invoking TeX-auto-generate-global is actually not necessary?  But as far as I can see, the AUCTeX-style-files do cover only a part of all packages provided with LiveTeX.

SD> And So it is normal that it fails on so many files with the error "TeX-auto-parse-region: Wrong type argument: stringp, nil"?  This seems very weird to me...

> auctex is an available obsolete package.
>      Status: Available Obsolete from gnu -- Install
>     Archive: gnu
>     Version: 13.2.0
>      Commit: 9d47b0a1bdffb8e01a83bf507dac7677ecca92f7
>     Summary: Integrated environment for *TeX*
>    Requires: emacs-25.1
>    Homepage: https://www.gnu.org/software/auctex/
>    Keywords: tex latex texinfo context doctex preview-latex Other 
> versions: 13.2.0 (installed).

This is what I see after `list-packages':

--8<---------------cut here---------------start------------->8---
Package auctex is available.

     Status: Available from gnu -- Install
    Archive: gnu
    Version: 13.2.0
     Commit: 9d47b0a1bdffb8e01a83bf507dac7677ecca92f7
    Summary: Integrated environment for *TeX*
   Requires: emacs-25.1
    Website: https://www.gnu.org/software/auctex/
   Keywords: tex latex texinfo context doctex preview-latex
 Maintainer: <mailto:[email-masked]>
--8<---------------cut here---------------end--------------->8---

> My question: why is there a version (13.2.0) in the gnu-archive which 
> is tagged as "obsolete"??  It took me quite a while before I installed 
> AUCTeX nevertheless, and now I see that I have these two versions, one 
> installed and one on the gnu server.

Strange.  How did you install the package?  With `M-x list-packages RET', choosing AUCTeX with 'i' and 'x'?

SD> yes, I used `M-x list-packages RET', searched for AUCTeX with C-s, and then entered the package and chose "install".  I am not sure whether I saw the "obsolete" description the first time I searched for the package or only the second time.